0

I am trying to install deepstreamio in my raspberrypi by following the tutorial here but cannot get it to work. Basically I do:

sudo apt-get install -y deepstream.io

and this is what I got:

Reading package lists... Done

Building dependency tree

Reading state information... Done

E: Unable to locate package deepstream.io

E: Couldn't find any package by regex 'deepstream.io'

Anybody got this to work?

  • 1
    Have you added the repository to the sources.list as instructed at the start of the tutorial? – joan Apr 21 '17 at 11:03
  • In addition to @joan's point, did you run sudo apt-get update between that step and the install? Missing either step is a major pitfall. – Jacobm001 Apr 23 '17 at 0:33
2

deepstream.io only provides Debian packages for x86 architecture, so you'll have to build it from sources.

Alternatively, you could try the Docker image they provide:

docker pull deepstreamio/deepstream.io-raspbian
  • Do that means raspberrypi cannot run deepstream? – sooon Apr 22 '17 at 0:24

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.